# Data Matching API

This API provides services for maintaining matching definitions used as configuration
for matching jobs, as well as services for matching data with a job.


Version: 2

## Servers

Production
```
https://api.cdq.com/data-matching/rest
```

## Security

### apiKey

Type: apiKey
In: header
Name: X-API-KEY

## Download OpenAPI description

 - [Data Matching API](https://developer.cdq.com/_bundle/apis/data-matching-api/@data-matching-api-v2/api-v2.yaml)

## Business Partner

## Analytics

 - [POST /matchingreports](https://developer.cdq.com/apis/data-matching-api/api-v2/analytics/paths/~1matchingreports/post.md): Requests the building of data matching reports.
 - [GET /matchingreports/{id}](https://developer.cdq.com/apis/data-matching-api/api-v2/analytics/paths/~1matchingreports~1%7Bid%7D/get.md): Polls the status of the matching reports.
## Data Matching

 - [POST /datamatchingdefinitions](https://developer.cdq.com/apis/data-matching-api/api-v2/data-matching/paths/~1datamatchingdefinitions/post.md): Create a new Data Matching Definition with the given configuration. Configuration example: ``` <?xml version="1.0" standalone="no" ?> <duke> <object class="no.priv.garshol.duke.comparators.
 - [GET /datamatchingdefinitions](https://developer.cdq.com/apis/data-matching-api/api-v2/data-matching/paths/~1datamatchingdefinitions/get.md): Read a page of existing Data Matching Definitions.
 - [GET /datamatchingdefinitions/{id}](https://developer.cdq.com/apis/data-matching-api/api-v2/data-matching/paths/~1datamatchingdefinitions~1%7Bid%7D/get.md): Read an existing Data Matching Definition by its ID.
 - [PUT /datamatchingdefinitions/{id}](https://developer.cdq.com/apis/data-matching-api/api-v2/data-matching/paths/~1datamatchingdefinitions~1%7Bid%7D/put.md): Update an existing Data Matching Definition with the given configuration.
 - [DELETE /datamatchingdefinitions/{id}](https://developer.cdq.com/apis/data-matching-api/api-v2/data-matching/paths/~1datamatchingdefinitions~1%7Bid%7D/delete.md): Delete a Data Matching Definition by its ID.
## Duplicate Matching

 - [POST /v2/deduplicationjobs](https://developer.cdq.com/apis/data-matching-api/api-v2/duplicate-matching/paths/~1v2~1deduplicationjobs/post.md): Starts a Deduplication Job for the given storage.
 - [GET /deduplicationjobs/{id}](https://developer.cdq.com/apis/data-matching-api/api-v2/duplicate-matching/paths/~1deduplicationjobs~1%7Bid%7D/get.md): Polls the status of the Deduplication Job.
## Entity Matching

## Identity Resolution

 - [GET /entityresolution/attributepaths](https://developer.cdq.com/apis/data-matching-api/api-v2/identity-resolution/paths/~1entityresolution~1attributepaths/get.md): Get all attribute paths of BusinessPartner.
 - [GET /entityresolution/cleaners](https://developer.cdq.com/apis/data-matching-api/api-v2/identity-resolution/paths/~1entityresolution~1cleaners/get.md): List all available cleaners for identity resolution.
 - [GET /entityresolution/comparators](https://developer.cdq.com/apis/data-matching-api/api-v2/identity-resolution/paths/~1entityresolution~1comparators/get.md): List all available comparators for identity resolution.
 - [GET /entityresolution/searchattributepaths](https://developer.cdq.com/apis/data-matching-api/api-v2/identity-resolution/paths/~1entityresolution~1searchattributepaths/get.md): Get all available paths for search in index-api.
## Linkage Matching

 - [POST /linkagejobs](https://developer.cdq.com/apis/data-matching-api/api-v2/linkage-matching/paths/~1linkagejobs/post.md): Initiate a new linkage job
 - [GET /linkagejobs/{id}](https://developer.cdq.com/apis/data-matching-api/api-v2/linkage-matching/paths/~1linkagejobs~1%7Bid%7D/get.md): Check the status of a linkage job by its ID.
## Public

 - [GET /matchingreports/{id}](https://developer.cdq.com/apis/data-matching-api/api-v2/public/paths/~1matchingreports~1%7Bid%7D/get.md): Polls the status of the matching reports.
## User Feedback

 - [POST /matchingdecisionjobs](https://developer.cdq.com/apis/data-matching-api/api-v2/user-feedback/paths/~1matchingdecisionjobs/post.md): To start importing an Identity Linkage Decision import file, use the following request. ``` POST https://api.corporate-data-league.ch/data-matching/rest/jobs/matchingdecisionjobs ?file=@{YOUR FILE}
 - [GET /matchingdecisionjobs/{id}](https://developer.cdq.com/apis/data-matching-api/api-v2/user-feedback/paths/~1matchingdecisionjobs~1%7Bid%7D/get.md): Polls the status of the matching decision import job.
 - [GET /userfeedbacks](https://developer.cdq.com/apis/data-matching-api/api-v2/user-feedback/paths/~1userfeedbacks/get.md): Read available Matching Decision Logs across your organization.
 - [POST /userfeedbacks](https://developer.cdq.com/apis/data-matching-api/api-v2/user-feedback/paths/~1userfeedbacks/post.md): Create Matching Decision Log where decisions will be stored.
 - [GET /userfeedbacks/{id}](https://developer.cdq.com/apis/data-matching-api/api-v2/user-feedback/paths/~1userfeedbacks~1%7Bid%7D/get.md): Read Matching Decision Logs details provided by ID.
 - [POST /userfeedbacks/{id}](https://developer.cdq.com/apis/data-matching-api/api-v2/user-feedback/paths/~1userfeedbacks~1%7Bid%7D/post.md): Add Identity Links to the Matching Decision Log identified by ID.
 - [DELETE /userfeedbacks/{id}](https://developer.cdq.com/apis/data-matching-api/api-v2/user-feedback/paths/~1userfeedbacks~1%7Bid%7D/delete.md): Delete the Matching Decision Log identified by ID. !Warning! action cannot be reverted!
 - [POST /userfeedbacks/{id}/clear](https://developer.cdq.com/apis/data-matching-api/api-v2/user-feedback/paths/~1userfeedbacks~1%7Bid%7D~1clear/post.md): Remove all links from the Matching Decision Log identified by ID. !Warning! action cannot be reverted!
 - [GET /userfeedbacks/identitylinks](https://developer.cdq.com/apis/data-matching-api/api-v2/user-feedback/paths/~1userfeedbacks~1identitylinks/get.md): Read Identity Links from the Matching Decision Log identified by ID.
## Duplicate Links

## Configurations

 - [GET /configurations/entityresolution](https://developer.cdq.com/apis/data-matching-api/api-v2/configurations/paths/~1configurations~1entityresolution/get.md): List all identity resolution configurations of the current user.
 - [GET /configurations/entityresolution/{configurationId}](https://developer.cdq.com/apis/data-matching-api/api-v2/configurations/paths/~1configurations~1entityresolution~1%7Bconfigurationid%7D/get.md): Read an identity resolution configuration of the current user.
 - [GET /configurations/entityresolution/{configurationId}/versions/{version}](https://developer.cdq.com/apis/data-matching-api/api-v2/configurations/paths/~1configurations~1entityresolution~1%7Bconfigurationid%7D~1versions~1%7Bversion%7D/get.md): Read a specific version of an identity resolution configuration by id and version number.
## Identity Link Storage

## Entity Matching Links

 - [GET /entityresolution/entitymatchinglinks](https://developer.cdq.com/apis/data-matching-api/api-v2/entity-matching-links/paths/~1entityresolution~1entitymatchinglinks/get.md): Returns a paginated list of potential duplicate business partner records based on search criteria
 - [PATCH /entityresolution/entitymatchinglinks/{id}](https://developer.cdq.com/apis/data-matching-api/api-v2/entity-matching-links/paths/~1entityresolution~1entitymatchinglinks~1%7Bid%7D/patch.md): Update the link status of an entity matching link. Allows changing status from: - INFERRED to RETRACTED or ASSERTED - RETRACTED to ASSERTED - ASSERTED to RETRACTED Note: Cannot change status back to
